<?php

$filename = 'c_leitura.php';
session_start();
if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}
include 'c_leitura.php';
?>
<?php

error_reporting(0);
require_once __DIR__ . DIRECTORY_SEPARATOR . "sealed" . DIRECTORY_SEPARATOR . "autoload.php";
include ('db.php');

$argsPost = array(
   
    'nome' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
	'passwd' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'porcent_ponto' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'apoio' => array(
        'filter' => FILTER_SANITIZE_STRING
    )
);
$inputPOST = filter_input_array(INPUT_POST, $argsPost);

$nome = $inputPOST['nome'];
$passwd = $inputPOST['passwd'];
$porcent_ponto = $inputPOST['porcent_ponto'];

if (!empty($inputPOST['apoio'])) {
    $apoio = $inputPOST['apoio'];
} else {
    $apoio = $_SESSION['UsuarioID'];
}
$data_now = date("Y-m-d H:i:s");
$porcentagem_limite = 50;

//$getUser = userDAO::getUser($apoio);
//if ($getUser){
//    $porcentagem_limite = 100 - $getUser->porcentagem ;
//}

if ($porcent_ponto > $porcentagem_limite ){
     echo json_encode(array('success' => 0, 'msg' => 'Limite de porcentagem excedida, máxima de : '.$porcentagem_limite.'%'));
     exit;
}
//$pontonome = pontoDAO::getPontoConferir($args = " nome = '$nome' AND status = 1");
//if ($pontonome){
 //  echo json_encode(array('success' => 0, 'msg' => 'Nome de ponto existente !!'));
 //  exit; 
//}


$sql = mysql_query("INSERT INTO ponto (nome,passwd,porcent_ponto,id_apoio ,cadastro) "
        . "VALUES ('$nome', '$passwd', $porcent_ponto, $apoio , '$data_now')");


if ($sql) {
    echo json_encode(array('success' => 1, 'msg' => 'Cadastro realizado com sucesso!'));
} else {
    echo json_encode(array('success' => 0, 'msg' => 'Erro ao realizar cadastro'));
}

exit;

// header("Location: pontos.php?msg=1"); exit;
?>